<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>TextParagraph (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TextParagraph (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6,"i26":6,"i27":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TextParagraph.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TextBox.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/TextParagraph.html" target="_top">Frames</a>
        </li>
        <li><a href="TextParagraph.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.usermodel</div>
    <h2 title="Interface TextParagraph" class="title">Interface TextParagraph&lt;S extends <a
            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends TextParagraph&lt;S,P,T&gt;,T
        extends <a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                   title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Superinterfaces:</dt>
                    <dd>java.lang.Iterable&lt;T&gt;</dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                           title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">TextParagraph&lt;S extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends TextParagraph&lt;S,P,T&gt;,T extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;</span>
extends java.lang.Iterable&lt;T&gt;</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Interface and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static interface&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph.BulletStyle</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.FontAlign.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextParagraph.FontAlign</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.TextAlign.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextParagraph.TextAlign</a></span></code>
                                    <div class="block">Specifies a list of text alignment types</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#addTabStops-double-org.apache.poi.sl.usermodel.TabStop.TabStopType-">addTabStops</a></span>(double&nbsp;positionInPoints,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TabStop.TabStopType.html"
                                       title="enum in org.apache.poi.sl.usermodel">TabStop.TabStopType</a>&nbsp;tabStopType)</code>
                                    <div class="block">Set the <a
                                            href="../../../../../org/apache/poi/sl/usermodel/TabStop.html"
                                            title="interface in org.apache.poi.sl.usermodel"><code>TabStop</code></a>
                                        collection
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#clearTabStops--">clearTabStops</a></span>()</code>
                                    <div class="block">Removes the tabstops of this paragraphs.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph.BulletStyle</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#getBulletStyle--">getBulletStyle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#getDefaultFontFamily--">getDefaultFontFamily</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#getDefaultFontSize--">getDefaultFontSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#getDefaultTabSize--">getDefaultTabSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.FontAlign.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextParagraph.FontAlign</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#getFontAlign--">getFontAlign</a></span>()</code>
                                    <div class="block">Returns the font alignment that is applied to the paragraph.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#getIndent--">getIndent</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#getIndentLevel--">getIndentLevel</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#getLeftMargin--">getLeftMargin</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#getLineSpacing--">getLineSpacing</a></span>()</code>
                                    <div class="block">Returns the vertical line spacing that is to be used within a
                                        paragraph.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="type parameter in TextParagraph">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="type parameter in TextParagraph">P</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#getParentShape--">getParentShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#getRightMargin--">getRightMargin</a></span>()</code>
                                    <div class="block">Specifies the right margin of the paragraph.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#getSpaceAfter--">getSpaceAfter</a></span>()</code>
                                    <div class="block">The amount of vertical white space after the paragraph
                                        This may be specified in two different ways, percentage spacing and font point
                                        spacing:
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#getSpaceBefore--">getSpaceBefore</a></span>()</code>
                                    <div class="block">The amount of vertical white space before the paragraph
                                        This may be specified in two different ways, percentage spacing and font point
                                        spacing:
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TabStop.html"
                                        title="interface in org.apache.poi.sl.usermodel">TabStop</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#getTabStops--">getTabStops</a></span>()</code>
                                    <div class="block">Get the <a
                                            href="../../../../../org/apache/poi/sl/usermodel/TabStop.html"
                                            title="interface in org.apache.poi.sl.usermodel"><code>TabStops</code></a> -
                                        the list can't be and it's entries shouldn't be modified.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.TextAlign.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextParagraph.TextAlign</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#getTextAlign--">getTextAlign</a></span>()</code>
                                    <div class="block">Returns the alignment that is applied to the paragraph.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="type parameter in TextParagraph">T</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#getTextRuns--">getTextRuns</a></span>()</code>
                                    <div class="block">Fetch the text runs that are contained within this block of
                                        text
                                    </div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#isHeaderOrFooter--">isHeaderOrFooter</a></span>()</code>
                                    <div class="block">Convenience method to determine if this text paragraph is part of
                                        the slide header or footer
                                    </div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#setBulletStyle-java.lang.Object...-">setBulletStyle</a></span>(java.lang.Object...&nbsp;styles)</code>
                                    <div class="block">Sets the bullet styles.</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#setIndent-java.lang.Double-">setIndent</a></span>(java.lang.Double&nbsp;indent)</code>
                                    <div class="block">Specifies the indent size that will be applied to the first line
                                        of text in the paragraph.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#setIndentLevel-int-">setIndentLevel</a></span>(int&nbsp;level)</code>
                                    <div class="block">Specifies the particular level text properties that this
                                        paragraph will follow.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#setLeftMargin-java.lang.Double-">setLeftMargin</a></span>(java.lang.Double&nbsp;leftMargin)</code>
                                    <div class="block">Specifies the left margin of the paragraph.</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#setLineSpacing-java.lang.Double-">setLineSpacing</a></span>(java.lang.Double&nbsp;lineSpacing)</code>
                                    <div class="block">This element specifies the vertical line spacing that is to be
                                        used within a paragraph.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#setRightMargin-java.lang.Double-">setRightMargin</a></span>(java.lang.Double&nbsp;rightMargin)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#setSpaceAfter-java.lang.Double-">setSpaceAfter</a></span>(java.lang.Double&nbsp;spaceAfter)</code>
                                    <div class="block">Set the amount of vertical white space that will be present after
                                        the paragraph.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#setSpaceBefore-java.lang.Double-">setSpaceBefore</a></span>(java.lang.Double&nbsp;spaceBefore)</code>
                                    <div class="block">Set the amount of vertical white space that will be present
                                        before the paragraph.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html#setTextAlign-org.apache.poi.sl.usermodel.TextParagraph.TextAlign-">setTextAlign</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.TextAlign.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextParagraph.TextAlign</a>&nbsp;align)</code>
                                    <div class="block">Specifies the alignment that is to be applied to the paragraph.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, iterator, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getSpaceBefore--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSpaceBefore</h4>
                                <pre>java.lang.Double&nbsp;getSpaceBefore()</pre>
                                <div class="block">The amount of vertical white space before the paragraph
                                    This may be specified in two different ways, percentage spacing and font point
                                    spacing:
                                    <p>
                                        If spaceBefore >= 0, then space is a percentage of normal line height.
                                        If spaceBefore < 0, the absolute value in points
                                    </p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the vertical white space before the paragraph, or null if unset</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSpaceBefore-java.lang.Double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSpaceBefore</h4>
                                <pre>void&nbsp;setSpaceBefore(java.lang.Double&nbsp;spaceBefore)</pre>
                                <div class="block">Set the amount of vertical white space that will be present before
                                    the paragraph.
                                    This space is specified in either percentage or points:
                                    <p>
                                        If spaceBefore >= 0, then space is a percentage of normal line height.
                                        If spaceBefore < 0, the absolute value of linespacing is the spacing in points
                                    </p>
                                    Examples:
                                    <pre><code>
      // The paragraph will be formatted to have a spacing before the paragraph text.
      // The spacing will be 200% of the size of the largest text on each line
      paragraph.setSpaceBefore(200);

      // The spacing will be a size of 48 points
      paragraph.setSpaceBefore(-48.0);
 </code></pre>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>spaceBefore</code> - the vertical white space before the paragraph, null
                                        to unset
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSpaceAfter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSpaceAfter</h4>
                                <pre>java.lang.Double&nbsp;getSpaceAfter()</pre>
                                <div class="block">The amount of vertical white space after the paragraph
                                    This may be specified in two different ways, percentage spacing and font point
                                    spacing:
                                    <p>
                                        If spaceBefore >= 0, then space is a percentage of normal line height.
                                        If spaceBefore < 0, the absolute value of linespacing is the spacing in points
                                    </p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the vertical white space after the paragraph or null, if unset</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSpaceAfter-java.lang.Double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSpaceAfter</h4>
                                <pre>void&nbsp;setSpaceAfter(java.lang.Double&nbsp;spaceAfter)</pre>
                                <div class="block">Set the amount of vertical white space that will be present after the
                                    paragraph.
                                    This space is specified in either percentage or points:
                                    <p>
                                        If spaceAfter >= 0, then space is a percentage of normal line height.
                                        If spaceAfter < 0, the absolute value of linespacing is the spacing in points
                                    </p>
                                    Examples:
                                    <pre><code>
      // The paragraph will be formatted to have a spacing after the paragraph text.
      // The spacing will be 200% of the size of the largest text on each line
      paragraph.setSpaceAfter(200);

      // The spacing will be a size of 48 points
      paragraph.setSpaceAfter(-48.0);
 </code></pre>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>spaceAfter</code> - the vertical white space after the paragraph, null to
                                        unset
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLeftMargin--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLeftMargin</h4>
                                <pre>java.lang.Double&nbsp;getLeftMargin()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the left margin (in points) of the paragraph or null, if unset</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLeftMargin-java.lang.Double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLeftMargin</h4>
                                <pre>void&nbsp;setLeftMargin(java.lang.Double&nbsp;leftMargin)</pre>
                                <div class="block">Specifies the left margin of the paragraph. This is specified in
                                    addition to the text body
                                    inset and applies only to this text paragraph. That is the text body Inset and the
                                    LeftMargin
                                    attributes are additive with respect to the text position.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>leftMargin</code> - the left margin (in points) or null to unset</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRightMargin--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRightMargin</h4>
                                <pre>java.lang.Double&nbsp;getRightMargin()</pre>
                                <div class="block">Specifies the right margin of the paragraph. This is specified in
                                    addition to the text body
                                    inset and applies only to this text paragraph. That is the text body Inset and the
                                    RightMargin
                                    attributes are additive with respect to the text position.

                                    The right margin is not support and therefore ignored by the HSLF implementation.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the right margin (in points) of the paragraph or null, if unset</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRightMargin-java.lang.Double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRightMargin</h4>
                                <pre>void&nbsp;setRightMargin(java.lang.Double&nbsp;rightMargin)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rightMargin</code> - the right margin (in points) of the paragraph</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIndent--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndent</h4>
                                <pre>java.lang.Double&nbsp;getIndent()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the indent (in points) applied to the first line of text in the paragraph.
                                        or null, if unset
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setIndent-java.lang.Double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIndent</h4>
                                <pre>void&nbsp;setIndent(java.lang.Double&nbsp;indent)</pre>
                                <div class="block">Specifies the indent size that will be applied to the first line of
                                    text in the paragraph.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>indent</code> - the indent (in points) applied to the first line of text
                                        in the paragraph
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIndentLevel--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndentLevel</h4>
                                <pre>int&nbsp;getIndentLevel()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the text level of this paragraph (0-based). Default is 0.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setIndentLevel-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIndentLevel</h4>
                                <pre>void&nbsp;setIndentLevel(int&nbsp;level)</pre>
                                <div class="block">Specifies the particular level text properties that this paragraph
                                    will follow.
                                    The value for this attribute formats the text according to the corresponding level
                                    paragraph properties defined in the SlideMaster.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>level</code> - the level (0 ... 4)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLineSpacing--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLineSpacing</h4>
                                <pre>java.lang.Double&nbsp;getLineSpacing()</pre>
                                <div class="block">Returns the vertical line spacing that is to be used within a
                                    paragraph.
                                    This may be specified in two different ways, percentage spacing and font point
                                    spacing:
                                    <p>
                                        If linespacing >= 0, then linespacing is a percentage of normal line height.
                                        If linespacing < 0, the absolute value of linespacing is the spacing in points
                                    </p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the vertical line spacing or null, if unset</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLineSpacing-java.lang.Double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLineSpacing</h4>
                                <pre>void&nbsp;setLineSpacing(java.lang.Double&nbsp;lineSpacing)</pre>
                                <div class="block">This element specifies the vertical line spacing that is to be used
                                    within a paragraph.
                                    This may be specified in two different ways, percentage spacing and font point
                                    spacing:
                                    <p>
                                        If linespacing >= 0, then linespacing is a percentage of normal line height
                                        If linespacing < 0, the absolute value of linespacing is the spacing in points
                                    </p>
                                    Examples:
                                    <pre><code>
      // spacing will be 120% of the size of the largest text on each line
      paragraph.setLineSpacing(120);

      // spacing will be 200% of the size of the largest text on each line
      paragraph.setLineSpacing(200);

      // spacing will be 48 points
      paragraph.setLineSpacing(-48.0);
 </code></pre>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>lineSpacing</code> - the vertical line spacing</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDefaultFontFamily--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDefaultFontFamily</h4>
                                <pre>java.lang.String&nbsp;getDefaultFontFamily()</pre>
                            </li>
                        </ul>
                        <a name="getDefaultFontSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDefaultFontSize</h4>
                                <pre>java.lang.Double&nbsp;getDefaultFontSize()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the default font size, in case its not set in the textrun or null, if unset</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextAlign--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextAlign</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.TextAlign.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextParagraph.TextAlign</a>&nbsp;getTextAlign()</pre>
                                <div class="block">Returns the alignment that is applied to the paragraph.

                                    If this attribute is omitted, then null is returned.
                                    User code can imply the value <a
                                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.TextAlign.html#LEFT"><code>TextParagraph.TextAlign.LEFT</code></a>
                                    then.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>alignment that is applied to the paragraph</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTextAlign-org.apache.poi.sl.usermodel.TextParagraph.TextAlign-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextAlign</h4>
                                <pre>void&nbsp;setTextAlign(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.TextAlign.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextParagraph.TextAlign</a>&nbsp;align)</pre>
                                <div class="block">Specifies the alignment that is to be applied to the paragraph.
                                    Possible values for this include left, right, centered, justified and distributed,
                                    see
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.TextAlign.html"
                                       title="enum in org.apache.poi.sl.usermodel"><code>TextParagraph.TextAlign</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>align</code> - text align</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontAlign--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontAlign</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.FontAlign.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextParagraph.FontAlign</a>&nbsp;getFontAlign()</pre>
                                <div class="block">Returns the font alignment that is applied to the paragraph.

                                    If this attribute is omitted, then null is return,
                                    user code can imply the a value of <a
                                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.FontAlign.html#AUTO"><code>TextParagraph.FontAlign.AUTO</code></a>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>alignment that is applied to the paragraph</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBulletStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBulletStyle</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph.BulletStyle</a>&nbsp;getBulletStyle()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the bullet style of the paragraph, if <code>null</code> then no bullets are used
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBulletStyle-java.lang.Object...-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBulletStyle</h4>
                                <pre>void&nbsp;setBulletStyle(java.lang.Object...&nbsp;styles)</pre>
                                <div class="block">Sets the bullet styles. If no styles are given, the bullets are
                                    omitted.
                                    Possible attributes are integer/double (bullet size), Color (bullet color),
                                    character (bullet character), string (bullet font), AutoNumberingScheme
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>styles</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDefaultTabSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDefaultTabSize</h4>
                                <pre>java.lang.Double&nbsp;getDefaultTabSize()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the default size for a tab character within this paragraph in points, null if
                                        unset
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getParentShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParentShape</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="type parameter in TextParagraph">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="type parameter in TextParagraph">P</a>&gt;&nbsp;getParentShape()</pre>
                            </li>
                        </ul>
                        <a name="getTextRuns--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextRuns</h4>
                                <pre>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="type parameter in TextParagraph">T</a>&gt;&nbsp;getTextRuns()</pre>
                                <div class="block">Fetch the text runs that are contained within this block of text
                                </div>
                            </li>
                        </ul>
                        <a name="isHeaderOrFooter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isHeaderOrFooter</h4>
                                <pre>boolean&nbsp;isHeaderOrFooter()</pre>
                                <div class="block">Convenience method to determine if this text paragraph is part of
                                    the slide header or footer
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if this paragraph is part of a header or footer placeholder</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15-beta2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTabStops--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTabStops</h4>
                                <pre>java.util.List&lt;? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TabStop.html"
                                        title="interface in org.apache.poi.sl.usermodel">TabStop</a>&gt;&nbsp;getTabStops()</pre>
                                <div class="block">Get the <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TabStop.html"
                                        title="interface in org.apache.poi.sl.usermodel"><code>TabStops</code></a> - the
                                    list can't be and it's entries shouldn't be modified.
                                    Opposed to other properties, this method is not cascading to the master sheet,
                                    if the property is not defined on the normal slide level, i.e. the tabstops on
                                    different levels aren't merged.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the tabstop collection or <code>null</code> if no tabstops are defined</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addTabStops-double-org.apache.poi.sl.usermodel.TabStop.TabStopType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addTabStops</h4>
                                <pre>void&nbsp;addTabStops(double&nbsp;positionInPoints,
                 <a href="../../../../../org/apache/poi/sl/usermodel/TabStop.TabStopType.html"
                    title="enum in org.apache.poi.sl.usermodel">TabStop.TabStopType</a>&nbsp;tabStopType)</pre>
                                <div class="block">Set the <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TabStop.html"
                                        title="interface in org.apache.poi.sl.usermodel"><code>TabStop</code></a>
                                    collection
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>tabStops</code> - the <a
                                            href="../../../../../org/apache/poi/sl/usermodel/TabStop.html"
                                            title="interface in org.apache.poi.sl.usermodel"><code>TabStop</code></a>
                                        collection
                                    </dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clearTabStops--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>clearTabStops</h4>
                                <pre>void&nbsp;clearTabStops()</pre>
                                <div class="block">Removes the tabstops of this paragraphs.
                                    This doesn't affect inherited tabstops, e.g. inherited by the slide master
                                </div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TextParagraph.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TextBox.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/TextParagraph.html" target="_top">Frames</a>
        </li>
        <li><a href="TextParagraph.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
